Package org.eclipse.launchbar.core

# Interface ILaunchDescriptor

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`

All Known Implementing Classes:
  `DefaultLaunchDescriptor`, `ProjectLaunchDescriptor`

public interface ILaunchDescriptor extends org.eclipse.core.runtime.IAdaptable
Represents a thing that can be launched. It is good practice that the descriptor is adaptable to the launch object it is representing.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Name to show in the launch descriptor selector.
`ILaunchDescriptorType`
`getType()`
The type of launch descriptor.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Method Details

### getName

String getName()
Name to show in the launch descriptor selector. Names must be unique for all descriptors of a given type.

Returns:
  name of the launch descriptor

### getType

ILaunchDescriptorType getType()
The type of launch descriptor.

Returns:
  provider